Subject: Re: HTTP repo referencing stale heads (can't clone)

From: Daniel Drake <[email-masked]>
Date: Mon, 03 Apr 2006 19:28:28 +0100

Junio C Hamano wrote:
> client$ wget http://dsd.object4.net/git/zd1211.git/info/refs

Ah, should have known. I am behind a (lame) transparent proxy on port 80.

I opened that file in my web browser and it showed the old heads. After 
a force-refresh (ctrl+F5, which sends some additionally http headers to 
refresh the page from the real server), the old heads disappeared, and 
git now clones successfully.

git-http-fetch should probably send those extra headers too. I'll try to 
find some time to look at this next week.

Thanks!
Daniel